Skip to main content
GET
/
commerce
/
blanketorders
/
{blanketOrderId}
/
changemessages
/
{changeMessageId}
Error
A valid request URL is required to generate request examples
{
  "amount": 123,
  "appId": "<string>",
  "appKey": "<string>",
  "appName": "<string>",
  "attributes": {},
  "correlationId": "<string>",
  "createDate": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "identifier": "<string>",
  "message": "<string>",
  "metadata": "<unknown>",
  "newValue": "<string>",
  "oldValue": "<string>",
  "subject": "<string>",
  "subjectType": "<string>",
  "success": true,
  "userFirstName": "<string>",
  "userId": "<string>",
  "userLastName": "<string>",
  "userScopeType": "<string>",
  "verb": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

blanketOrderId
string
required
changeMessageId
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

A message displayed by the system based on the last action, for example, when a product price has changed. System-supplied and read-only.

amount
number<double> | null
deprecated

Monetary amount that pertains to the change if applicable

appId
string | null

App Id that identifies the user that performed the related change

appKey
string | null

App Key

appName
string | null

App Name

attributes
object | null

Additional Data. This property will be a Dictionary of objects.

correlationId
string | null

Correlation Id

createDate
string<date-time> | null

When the message was created. System-supplied. Read-only.

id
string | null

Unique identifier of the message. System-supplied. Read-only.

identifier
string | null

Unique identifier to what the message pertains, which can be a cart item, cart or another generic entity. System-supplied. Read-only.

message
string | null

Human readable message. System-supplied. Read-only.

metadata
any | null

Data. This property will be a JSON array that will contain 0-N items, when there is 1 item it will still be an array containing only one item. System-supplied. Read-only.

newValue
string | null
deprecated

Current price of the item. System-supplied. Read-only.

oldValue
string | null
deprecated

Original price of the item. System-supplied. Read-only.

subject
string | null

Text on the subject line of the message, for example, the product name. System-supplied. Read-only.

subjectType
string | null

Subject of the message, for example, "Product." System-supplied. Read-only.

success
boolean | null

Indicates if the message is related to a success or failure.

userFirstName
string | null

User First Name

userId
string | null

User Id that identifies the user that performed the related change

userLastName
string | null

User Last Name

userScopeType
string | null

User Type (e.g. Shopper, Admin, etc.)

verb
string | null

Action applicable to the message. This can be "Increased," when the product price has increased, "Decreased," when the product price has decreased, and "Invalidated," when the product is no longer available. System-supplied. Read-only.